package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-24 17:15
 *    desc   :
 * </pre>
 */
public abstract class BaseWxWalletInfo<M extends BaseWxWalletInfo<M>> extends TioModel<M> implements IBean {

    public void setId(java.lang.Integer id) {
        set("id", id);
    }

    public java.lang.Integer getId() {
        return getInt("id");
    }

    /**
     * 用户id
     */
    public void setUid(java.lang.Integer uid) {
        set("uid", uid);
    }

    /**
     * 用户id
     */
    public java.lang.Integer getUid() {
        return getInt("uid");
    }

    public void setMobile(java.lang.String mobile) {
        set("mobile", mobile);
    }

    public java.lang.String getMobile() {
        return getStr("mobile");
    }

    public void setName(java.lang.String name) {
        set("name", name);
    }

    public java.lang.String getName() {
        return getStr("name");
    }

    public void setCardno(java.lang.String cardno) {
        set("cardno", cardno);
    }

    public java.lang.String getCardno() {
        return getStr("cardno");
    }

    /**
     * 认证标识：1:已认证；2：未认证
     */
    public void setStatus(java.lang.Short status) {
        set("status", status);
    }

    /**
     * 认证标识：1:已认证；2：未认证
     */
    public java.lang.Short getStatus() {
        return getShort("status");
    }

    /**
     * 记录创建时间
     */
    public void setCreatetime(java.util.Date createtime) {
        set("createtime", createtime);
    }

    /**
     * 记录创建时间
     */
    public java.util.Date getCreatetime() {
        return getDate("createtime");
    }

    /**
     * 该记录更新时间
     */
    public void setUpdatetime(java.util.Date updatetime) {
        set("updatetime", updatetime);
    }

    /**
     * 该记录更新时间
     */
    public java.util.Date getUpdatetime() {
        return getDate("updatetime");
    }

}